Teams
Update Team Icon
Replace the team's icon with an SVG, PNG or JPEG file, up to 512 KB and 1024x1024. SVGs can't have scripts or external links.
Replace the team's icon with an SVG, PNG or JPEG file, up to 512 KB and 1024x1024. SVGs can't have scripts or external links.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
data*string
The icon file, base64 encoded. SVG, PNG or JPEG, up to 512 KB and 1024x1024.
team_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/teams/icon/update" \ -H "Content-Type: application/json" \ -d '{ "data": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "icon_updated_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ] }}